<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE manualpage SYSTEM "./style/manualpage.dtd">
<?xml-stylesheet type="text/xsl" href="./style/manual.en.xsl"?>
<!-- English Revision: 1690343 $ -->
<!-- Translated by : Aleksey Novoselov <novalenik@gmail.com> -->
<!-- Reviewed by : Pavel Vecherin (vpa2k) <vecherins@gmail.com> -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<manualpage metafile="getting-started.xml.meta">

  <title>Начало работы</title>

<summary>
<p>Если вы абсолютный новичок в работе с HTTP-сервером Apache или 
в запуске веб-сайтов вообще, вы можете не знать с чего начать или какие
вопросы задавать. Этот документ познакомит вас с основами.</p>
</summary>

<section id="clientserver">
<title>Клиенты, серверы и URL-адреса</title>

<p>Адреса в Интернете записываются с помощью URL — Uniform Resource
Locator (унифицированный указатель ресурса), который указывает на
используемый протокол (например, <code>http</code>), имя сервера
(например, <code>www.apache.org</code>), URL-путь (например,
<code>/docs/current/getting-started.html</code>) и, возможно,
строку запроса (например, <code>?arg=value</code>), используемую для
передачи серверу дополнительных аргументов.</p>

<p>Клиент (например, веб-браузер) подключается к серверу
(например, вашему HTTP-серверу Apache), используя определённый протокол,
и отправляет <strong>запрос</strong> на ресурс, используя URL-путь.</p>

<p>URL-путь может обозначать множество вещей на сервере. Это может быть
файл (как <code>getting-started.html</code>), обработчик
(как <a href="mod/mod_status.html">server-status</a>) или файл какой-то
программы (как <code>index.php</code>). Мы рассмотрим это подробней ниже,
в разделе <a href="#content">Контент веб-сайта</a>.</p>

<p>Сервер отправляет <strong>ответ</strong>, содержащий код состояния и,
опционально, тело ответа. Код состояния указывает, был ли запрос успешно
обработан, а если нет, то какая ошибка произошла.
Это говорит клиенту, что он должен делать с ответом.
Вы можете прочитать о возможных кодах ответа на 
<a href="http://wiki.apache.org/httpd/CommonHTTPStatusCodes">
Вики HTTP-сервера Apache</a>.</p>

<p>Детали транзакции и условия возникновения ошибки записываются
в файлы журналов. Это описывается более подробно ниже, в разделе
<a href="#logs">Файлы журналов и устранение неполадок</a>.</p>

</section>

<section id="dns">
<title>Имена хостов и DNS</title>

<p>Для того чтобы соединиться с сервером, клиент сначала должен преобразовать
имя сервера в IP-адрес — место в Интернете, где находится сервер.
Таким образом, чтобы ваш веб-сервер был доступен, необходимо,
чтобы имя сервера было в DNS.</p>

<p>Если вы не знаете как это сделать, вам нужно обратиться к сетевому
администратору или поставщику услуг Интернета (провайдеру).
Они могут сделать это для вас.</p>

<p>Несколько хостов могут указывать на один и тот же IP-адрес,
а один физический сервер может иметь больше одного IP-адреса.
Таким образом на одном физическом сервере вы можете запустить больше одного
сайта с помощью особенности: <a href="vhosts/">виртуальные хосты</a>.</p>

<p>Если вы тестируете сервер, не имеющий выхода в Интернет, можете поместить
имена хостов в файл hosts для того что бы имя разрешалось локально.
Например, вы можете добавить запись для отправки запросов к
<code>www.example.com</code> на локальный компьютер, для тестирования.
Эта запись будет выглядеть так:</p>

<example>
127.0.0.1 www.example.com
</example>

<p>Файл hosts, скорее всего, расположен в <code>/etc/hosts</code> или 
<code>C:\Windows\system32\drivers\etc\hosts</code>.</p>

<p>Вы можете узнать больше о файле 
<a href="http://en.wikipedia.org/wiki/Hosts_(file)">hosts</a> и больше о
<a href="http://en.wikipedia.org/wiki/Domain_Name_System">DNS</a>.</p>
</section>

<section id="configuration">
<title>Файлы конфигурации и директивы</title>

<p>HTTP-сервер Apache настроен с помощью простых текстовых файлов.
Эти файлы могут располагаться в разных местах, в зависимости от того как вы 
установили сервер. Общие места расположения файлов можно найти в 
<a href="http://wiki.apache.org/httpd/DistrosDefaultLayout">Вики
HTTP-сервера Apache</a>. Если вы установили httpd из исходного кода,
то расположение файлов конфигурации по умолчанию следующее:
<code>/usr/local/apache2/conf</code>.
По умолчанию файл конфигурации называется <code>httpd.conf</code>.
Это тоже может варьироваться в сторонних дистрибутивах сервера.</p>

<p>Конфигурация часто разбивается на несколько небольших файлов, для
удобства управления. Эти файлы загружаются через директиву
<directive module="core">Include</directive>.
Имена или расположения этих файлов конфигурации
могут сильно отличаться от одной установки к другой.
Расположите и разделите эти файлы наиболее подходящим для
<strong>вас</strong> образом. Если расположение файлов по умолчанию,
не имеет смысла для вас, не стесняйтесь изменить его.</p>

<p>Сервер настраивается путём размещения <a href="mod/quickreference.html">
директив конфигурации</a> в этих файлах конфигурации.
Директива — это ключевое слово с одним или несколькими аргументами,
устанавливающими её значение.</p>

<p>На вопрос: «<em>Где я должен прописать эту директиву?</em>» – обычно
отвечают, там где ты хочешь использовать её. Если это глобальная настройка,
она должна располагаться в конфигурационном файле вне разделов
<directive type="section" module="core">Directory</directive>,
<directive type="section" module="core">Location</directive>,
<directive type="section" module="core">VirtualHost</directive> или других
разделов. Если настройка относится только к конкретному каталогу,
значит она должна быть внутри секции
<directive type="section" module="core">Directory</directive>,
которая описывает этот каталог, и так далее.
Смотри документ <a href="sections.html">Разделы конфигурации</a>
с подробным описанием вышеуказанных разделов.</p>

<p>В дополнение к основному файлу конфигурации, некоторые директивы могут
располагаться в файлах <code>.htaccess</code>, расположенных в папках с
контентом. Файлы <code>.htaccess</code> в первую очередь предназначены для
людей у которых нет доступа к главному конфигурационному файлу сервера.
Вы можете узнать больше о файлах <code>.htaccess</code> в инструкции
<a href="howto/htaccess.html"><code>.htaccess</code></a>.</p>

</section>

<section id="content">
<title>Контент веб-сайта</title>

<p>Содержимое сайта может принимать различные формы, но в широком смысле
разделяется на статический и динамический контент.</p>

<p>Статический контент — это, например, HTML-файлы, файлы изображений,
CSS-файлы и другие файлы, которые просто лежат на диске.
Директива <directive module="core">DocumentRoot</directive> указывает
где в вашей файловой системе, вы должны разместить эти файлы.
Эта директива устанавливается глобально или отдельно для каждого
виртуального хоста. Посмотрите в своём файле(ах) конфигурации,
чтобы узнать, как именно эта директива используется на вашем сервере.</p>

<p>Обычно, когда запрашивается каталог, без указания имени файла, то будет
отдан документ с именем <code>index.html</code>. Например, если для директивы
<code>DocumentRoot</code> установлено значение <code>/var/www/html</code> 
и приходит запрос на адрес
<code>http://www.example.com/work/</code>,
то файл расположенный по пути
<code>/var/www/html/work/index.html</code>
будет отдан клиенту.</p>

<p>Динамический контент — это всё что генерируется во время запроса и может 
изменяться от запроса к запросу. Существует множество способов создания
динамического контента. Различные <a href="handler.html">обработчики</a>
доступны для генерации содержимого. Могут быть написаны специальные
<a href="howto/cgi.html">CGI программы</a> для генерации контента на сайте.</p>

<p>Для написания кода с разнообразным функционалом
могут использоваться сторонние модули, такие как mod_php.
Множество сторонних приложений, написанных на различных языках
программирования, и утилит доступны для скачивания и установки
на ваш HTTP-сервер Apache.
Поддержка сторонних продуктов выходит за рамки этой документации.
При необходимости вы должны самостоятельно найти их документацию
или форумы поддержки, где вы сможете получить ответы на свои вопросы.</p>
</section>

<section id="logs">
<title>Файлы журналов и устранение неполадок</title>
<p>Для вас, как администратора HTTP-сервера Apache,
самые ценные активы — это файлы журналов (лог-файлы),
в частности, журнал ошибок. Исправление любой проблемы без журнала ошибок
можно сравнить с вождением автомобиля с закрытыми глазами.</p>

<p>Расположение журнала ошибок задаётся директивой
<directive module="core">ErrorLog</directive>,
которая может быть установлена глобально или для каждого виртуального хоста.
Записи в журнале ошибок расскажут вам, что и когда пошло не так.
Зачастую они также смогут подсказать, как что-то исправить.
Каждая запись в журнале ошибок содержит код ошибки,
по которому вы можете поискать в Интернете более подробное
описание того, как решить проблему.
Вы также можете настроить журнал ошибок так, чтобы в него записывался
идентификатор журнала, который можно сопоставить с записями в журнале
доступа — это поможет определить, какой запрос какую ошибку вызвал.</p>

<p>Больше о логирование вы можете узнать в
<a href="logs.html">документации о журналах</a>.</p>
</section>

<section id="other">
<title>Что дальше?</title>

<p>Теперь, когда вы знакомы с основами, пора двигаться дальше.</p>

<p>Этот документ содержит только базовую информацию.
Мы надеемся, что она поможет вам начать работу,
но есть множество других вещей, о которых вам, возможно, нужно узнать.</p>

<ul>
<li><a href="http://httpd.apache.org/download.cgi">Загрузки</a></li>
<li><a href="install.html">Установка</a></li>
<li><a href="configuring.html">Настройка</a></li>
<li><a href="invoking.html">Старт</a></li>
<li><a href="http://wiki.apache.org/httpd/FAQ">Часто задаваемые вопросы</a></li>
</ul>

</section>

</manualpage>
