<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE indexpage SYSTEM "./style/sitemap.dtd">
<?xml-stylesheet type="text/xsl" href="./style/manual.en.xsl"?>
<!-- English Revision: 1880986 $ -->
<!-- Translated by: Pavel Vecherin (vpa2k) <vecherins@gmail.com> -->
<!-- Reviewed by: Lucien Gentis <lucien.gentis@univ-lorraine.fr> -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<indexpage metafile="index.xml.meta">
<parentdocument href="http://httpd.apache.org/docs-project/" />

<title>Apache HTTP Server версия &httpd.major;.&httpd.minor;
Документация</title>

<category id="release"><title>Примечания к выпуску</title>
    <page href="new_features_2_6.html">Новые возможности Apache 2.5/2.6</page>
    <page href="new_features_2_4.html">Новые возможности Apache 2.3/2.4</page>
    <page href="new_features_2_2.html">Новые возможности Apache 2.1/2.2</page>
    <page href="new_features_2_0.html">Новые возможности Apache 2.0</page>
    <page href="upgrading.html">Обновление до 2.4 с 2.2</page>
    <page href="license.html">Лицензия Apache</page>
</category>

<category id="manual"><title>Справочное руководство</title>
    <page href="install.html">Компиляция и установка</page>
    <page href="invoking.html">Запуск</page>
    <page href="stopping.html">Остановка или перезапуск</page>
    <page href="mod/quickreference.html">Директивы конфигурации среды выполнения</page>
    <page href="mod/">Модули</page>
    <page href="mpm.html">Модули многопроцессорной обработки (MPMs)</page>
    <page href="filter.html">Фильтры</page>
    <page href="handler.html">Обработчики</page>
    <page href="expr.html">Парсер выражений</page>
    <page href="mod/overrides.html">Индекс классов переопределения для .htaccess</page>
    <page href="programs/">Сервер и вспомогательные программы</page>
    <page href="glossary.html">Глоссарий</page>
</category>

<category id="usersguide"><title>Руководство пользователя</title>
    <page href="getting-started.html">Начало работы</page>
    <page href="bind.html">Привязка к адресам и портам</page>
    <page href="configuring.html">Файлы конфигурации</page>
    <page href="sections.html">Разделы конфигурации</page>
    <page href="caching.html">Кэширование контента</page>
    <page href="content-negotiation.html">Согласование контента</page>
    <page href="dso.html">Динамические общие объекты (DSO)</page>
    <page href="env.html">Переменные среды</page>
    <page href="logs.html">Лог-файлы</page>
    <page href="compliance.html">Соответствие протоколу HTTP</page>
    <page href="urlmapping.html">Сопоставление URL-адресов с файловой системой</page>
    <page href="misc/perf-tuning.html">Настройка производительности</page>
    <page href="misc/security_tips.html">Советы по безопасности</page>
    <page href="server-wide.html">Общесерверная конфигурация</page>
    <page href="ssl/">SSL/TLS шифрование</page>
    <page href="suexec.html">Выполнение SuExec для CGI</page>
    <page href="rewrite/">Перезапись URL с помощью mod_rewrite</page>
    <page href="vhosts/">Виртуальные хосты</page>
</category>

<category id="howto"><title>Инструкции / Учебники</title>
    <page href="howto">Индексная страница категории</page>
    <page href="howto/auth.html">Аутентификация и авторизация</page>
    <page href="howto/access.html">Контроль доступа</page>
    <page href="howto/cgi.html">CGI: динамический контент</page>
    <page href="howto/htaccess.html">Файлы .htaccess</page>
    <page href="howto/ssi.html">Включения на стороне сервера (SSI)</page>
    <page href="howto/public_html.html">Веб-каталоги для каждого пользователя (public_html)</page>
    <page href="howto/reverse_proxy.html">Руководство по настройке обратного прокси</page>
    <page href="howto/http2.html">Руководство HTTP/2</page>
</category>

<category id="platform"><title>Специфические примечания к платформе</title>
    <page href="platform/windows.html">Microsoft Windows</page>
    <page href="platform/rpm.html">RPM-based системы (Redhat / CentOS / Fedora)</page>
    <page href="platform/netware.html">Novell NetWare</page>
</category>

<category id="other"><title>Другие темы</title>
    <page href="http://wiki.apache.org/httpd/FAQ">Часто задаваемые вопросы</page>
    <page href="sitemap.html">Карта сайта</page>
    <page href="developer/">Документация для разработчиков</page>
    <page href="http://httpd.apache.org/docs-project/">Помощь с документацией</page>
    <page href="misc/">Прочие примечания</page>
    <page href="http://wiki.apache.org/httpd/">Вики</page>
</category>

</indexpage>

